Bug 47324 - Update port: archivers/libcomplex to 0.3.2
Summary: Update port: archivers/libcomplex to 0.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-21 20:40 UTC by tkato
Modified: 2003-02-02 13:03 UTC (History)
0 users

See Also:


Attachments
file.diff (8.72 KB, patch)
2003-01-21 20:40 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-01-21 20:40:05 UTC
- Update to version 0.3.2

New file:
Makefile.man
files/patch-configure
Comment 1 corecode@corecode.ath.cx 2003-01-22 12:22:43 UTC
Lately KATO Tsuguru told:

> diff -urN /usr/ports/archivers/libcomprex/Makefile archivers/libcomprex/Makefile
[...]
> -LIB_DEPENDS=	curl.2:${PORTSDIR}/ftp/curl
> +
^^ stray newline
> +LIB_DEPENDS=	intl.4:${PORTSDIR}/devel/gettext \
> +		curl.2:${PORTSDIR}/ftp/curl
>  .if !exists(/usr/bin/bzip2) 
>  LIB_DEPENDS+=	bz2.1:${PORTSDIR}/archivers/bzip2
>  .endif
>  
>  USE_LIBTOOL=	yes
> -CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib"
> +LIBTOOLFLAGS=	# none
> +CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
> +		LDFLAGS="-L${LOCALBASE}/lib -lintl"

use CONFIGURE_ENV= CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" etc so
that people can customize behavior? (static etc)

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 tkato 2003-01-23 13:13:51 UTC
On Wed, 22 Jan 2003 13:22:43 +0100
"Simon 'corecode' Schubert" <corecode@corecode.ath.cx> wrote:

> use CONFIGURE_ENV= CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" etc so
> that people can customize behavior? (static etc)

I suppose it isn't preferable to allow each user to
customize configurations other than that are indicated
explicitly with WITH_foo/WITHOUT_foo knob.
Comment 3 Norikatsu Shigemura freebsd_committer 2003-02-02 13:03:30 UTC
State Changed
From-To: open->closed

Committed, thanks!